#!/bin/ksh
#
# set env. & run java - usage: run {package_ext} {class}
#

pck=${1:-xmlbroker}  # run Main by default
cls=${2:-Main}
pack_root=com.jmrosengard
lib=$PWD/lib
cp=$XMLBROKER_HOME:$XMLBROKER_HOME/../lib/xerces4j/xerces.jar:$CLASSPATH
prop="-Dxmlbroker.conf=conf/xmlbroker.conf -Dxmlbroker.deployment.descriptor=conf/deploy.desc -Djava.library.path=$lib"
if [[ -n $XMLBROKER_DEBUG ]]; then
 opt="-Xnoclassgc -Xms5m -Xmx50m -verbose:gc"  
else
 opt="-Xnoclassgc -Xms5m -Xmx50m"
fi
java $prop $opt -classpath $cp $pack_root.$pck.$cls
